import * as core from "@terrascript/core";

export interface DsAccountAliasArgs {}

export class DsAccountAlias extends core.Data<DsAccountAliasArgs> {
  @core.attr(String, { computed: true })
  public accountAlias!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  constructor(name: string, args?: DsAccountAliasArgs) {
    super(name, "aws_iam_account_alias", args);
  }

  public override getNamespace(): string {
    return "aws_iam";
  }
}
